package ec.gob.registrocivil;

import ec.gob.registrocivil.BusquedaPorNombre;
import ec.gob.registrocivil.BusquedaPorNombreResponse;
import ec.gob.registrocivil.BusquedaPorNui;
import ec.gob.registrocivil.BusquedaPorNuiIndividual;
import ec.gob.registrocivil.BusquedaPorNuiIndividualResponse;
import ec.gob.registrocivil.BusquedaPorNuiResponse;
import ec.gob.registrocivil.Ciudadano;
import ec.gob.registrocivil.Ciudadanos;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

@XmlRegistry
public class ObjectFactory {

    private static final QName _BusquedaPorNuiIndividual_QNAME = new QName("http://www.registrocivil.gob.ec", "BusquedaPorNuiIndividual");
    private static final QName _BusquedaPorNombre_QNAME = new QName("http://www.registrocivil.gob.ec", "BusquedaPorNombre");
    private static final QName _BusquedaPorNuiResponse_QNAME = new QName("http://www.registrocivil.gob.ec", "BusquedaPorNuiResponse");
    private static final QName _BusquedaPorNui_QNAME = new QName("http://www.registrocivil.gob.ec", "BusquedaPorNui");
    private static final QName _BusquedaPorNombreResponse_QNAME = new QName("http://www.registrocivil.gob.ec", "BusquedaPorNombreResponse");
    private static final QName _BusquedaPorNuiIndividualResponse_QNAME = new QName("http://www.registrocivil.gob.ec", "BusquedaPorNuiIndividualResponse");

    public BusquedaPorNuiIndividual createBusquedaPorNuiIndividual() {
        return new BusquedaPorNuiIndividual();
    }

    public BusquedaPorNuiResponse createBusquedaPorNuiResponse() {
        return new BusquedaPorNuiResponse();
    }

    public BusquedaPorNombre createBusquedaPorNombre() {
        return new BusquedaPorNombre();
    }

    public BusquedaPorNui createBusquedaPorNui() {
        return new BusquedaPorNui();
    }

    public BusquedaPorNuiIndividualResponse createBusquedaPorNuiIndividualResponse() {
        return new BusquedaPorNuiIndividualResponse();
    }

    public BusquedaPorNombreResponse createBusquedaPorNombreResponse() {
        return new BusquedaPorNombreResponse();
    }

    public Ciudadano createCiudadano() {
        return new Ciudadano();
    }

    public Ciudadanos createCiudadanos() {
        return new Ciudadanos();
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec", name = "BusquedaPorNuiIndividual")
    public JAXBElement<BusquedaPorNuiIndividual> createBusquedaPorNuiIndividual(BusquedaPorNuiIndividual value) {
        return new JAXBElement(_BusquedaPorNuiIndividual_QNAME, BusquedaPorNuiIndividual.class, null, value);
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec", name = "BusquedaPorNombre")
    public JAXBElement<BusquedaPorNombre> createBusquedaPorNombre(BusquedaPorNombre value) {
        return new JAXBElement(_BusquedaPorNombre_QNAME, BusquedaPorNombre.class, null, value);
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec", name = "BusquedaPorNuiResponse")
    public JAXBElement<BusquedaPorNuiResponse> createBusquedaPorNuiResponse(BusquedaPorNuiResponse value) {
        return new JAXBElement(_BusquedaPorNuiResponse_QNAME, BusquedaPorNuiResponse.class, null, value);
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec", name = "BusquedaPorNui")
    public JAXBElement<BusquedaPorNui> createBusquedaPorNui(BusquedaPorNui value) {
        return new JAXBElement(_BusquedaPorNui_QNAME, BusquedaPorNui.class, null, value);
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec", name = "BusquedaPorNombreResponse")
    public JAXBElement<BusquedaPorNombreResponse> createBusquedaPorNombreResponse(BusquedaPorNombreResponse value) {
        return new JAXBElement(_BusquedaPorNombreResponse_QNAME, BusquedaPorNombreResponse.class, null, value);
    }

    @XmlElementDecl(namespace = "http://www.registrocivil.gob.ec", name = "BusquedaPorNuiIndividualResponse")
    public JAXBElement<BusquedaPorNuiIndividualResponse> createBusquedaPorNuiIndividualResponse(BusquedaPorNuiIndividualResponse value) {
        return new JAXBElement(_BusquedaPorNuiIndividualResponse_QNAME, BusquedaPorNuiIndividualResponse.class, null, value);
    }
}


/* Location:              /data/COMACO/SINCOAR2022/Entorno/produccion/servers/mule-standalone-3.5.0/apps/centralwebservices-2.1.zip!/centralwebservices-2.1/classes/ec/gob/registrocivil/ObjectFactory.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       1.1.3
 */
